### Enumeration

# GtkPanDirection

#### Declaration

    enum Gtk.PanDirection

#### Description [src]

Describes the panning direction of a `GtkGesturePan`.

#### Members

`GTK_PAN_DIRECTION_LEFT`

  Panned towards the left.

  - Value: `0`
  - Nickname: `left`
  - Available since: 4.0
`GTK_PAN_DIRECTION_RIGHT`

  Panned towards the right.

  - Value: `1`
  - Nickname: `right`
  - Available since: 4.0
`GTK_PAN_DIRECTION_UP`

  Panned upwards.

  - Value: `2`
  - Nickname: `up`
  - Available since: 4.0
`GTK_PAN_DIRECTION_DOWN`

  Panned downwards.

  - Value: `3`
  - Nickname: `down`
  - Available since: 4.0